NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::AnimationDesigner::ContactBuilder Class Reference

Represents a NXOpen::AnimationDesigner::ContactBuilder . More...

Inheritance diagram for NXOpen::AnimationDesigner::ContactBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ContactShapeTypes {
  ContactShapeTypesBox, ContactShapeTypesSphere, ContactShapeTypesCylinder, ContactShapeTypesCapsule,
  ContactShapeTypesConvex, ContactShapeTypesMultiConvex, ContactShapeTypesMesh
}
 the contact shape types. More...
 
enum  ShapePropertyTypes { ShapePropertyTypesAutomatic, ShapePropertyTypesUserDefined }
 the shape calculation options. More...
 

Public Member Functions

void CalculateConvex ()
 Generates the convex when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesConvex . More...
 
void CalculateMesh ()
 Generates the mesh when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesMesh . More...
 
void CalculateMultiConvex ()
 Generates the multi-convex when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesMultiConvex . More...
 
int Category ()
 Returns the category. More...
 
NXOpen::PointCenterPoint ()
 Returns the center point. More...
 
double ContactFactor ()
 Returns the contact factor. More...
 
NXOpen::AnimationDesigner::ContactBuilder::ShapePropertyTypes ContactProperties ()
 Returns the shape calculation option. More...
 
NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes ContactShape ()
 Returns the contact shape type. More...
 
NXOpen::SelectNXObjectListGeometry ()
 Returns the geometries. More...
 
NXOpen::ExpressionHeight ()
 Returns the height. More...
 
bool HighlightOnContact ()
 Returns the highlight flag on contact. More...
 
NXOpen::ExpressionLength ()
 Returns the length. More...
 
NXString Name ()
 Returns the name. More...
 
NXOpen::CoordinateSystemOrientation ()
 Returns the orientation. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius. More...
 
void SetCategory (int category)
 Sets the category. More...
 
void SetCenterPoint (NXOpen::Point *centerPoint)
 Sets the center point. More...
 
void SetContactFactor (double factor)
 Sets the contact factor. More...
 
void SetContactProperties (NXOpen::AnimationDesigner::ContactBuilder::ShapePropertyTypes contactProperties)
 Sets the shape calculation option. More...
 
void SetContactShape (NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes contactShape)
 Sets the contact shape type. More...
 
void SetHighlightOnContact (bool highlight)
 Sets the highlight flag on contact. More...
 
void SetName (const NXString &name)
 Sets the name. More...
 
void SetName (const char *name)
 Sets the name. More...
 
void SetOrientation (NXOpen::CoordinateSystem *orientation)
 Sets the orientation. More...
 
void SetStickContact (bool stickContact)
 Sets the option for stick when contact. More...
 
bool StickContact ()
 Returns the option for stick when contact. More...
 
NXOpen::ExpressionWidth ()
 Returns the width. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::AnimationDesigner::ContactBuilder .


To create a new instance of this class, use NXOpen::AnimationDesigner::ContactCollection::CreateContactBuilder

Created in NX12.0.0.

Member Enumeration Documentation

the contact shape types.

Enumerator
ContactShapeTypesBox 

Box.

ContactShapeTypesSphere 

Sphere.

ContactShapeTypesCylinder 

Cylinder.

ContactShapeTypesCapsule 

Capsule.

ContactShapeTypesConvex 

Convex.

ContactShapeTypesMultiConvex 

Multi-Convex.

ContactShapeTypesMesh 

Mesh.

the shape calculation options.

Enumerator
ShapePropertyTypesAutomatic 

Automatic.

ShapePropertyTypesUserDefined 

User Defined.

Member Function Documentation

void NXOpen::AnimationDesigner::ContactBuilder::CalculateConvex ( )

Generates the convex when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesConvex .


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::ContactBuilder::CalculateMesh ( )

Generates the mesh when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesMesh .


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::ContactBuilder::CalculateMultiConvex ( )

Generates the multi-convex when NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesMultiConvex .


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

int NXOpen::AnimationDesigner::ContactBuilder::Category ( )

Returns the category.

It should be between 0 and 16.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Point* NXOpen::AnimationDesigner::ContactBuilder::CenterPoint ( )

Returns the center point.

Valid for all collsion shape types except when NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesConvex .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

double NXOpen::AnimationDesigner::ContactBuilder::ContactFactor ( )

Returns the contact factor.

It should be between 0 and 1.0.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::AnimationDesigner::ContactBuilder::ShapePropertyTypes NXOpen::AnimationDesigner::ContactBuilder::ContactProperties ( )

Returns the shape calculation option.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes NXOpen::AnimationDesigner::ContactBuilder::ContactShape ( )

Returns the contact shape type.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::SelectNXObjectList* NXOpen::AnimationDesigner::ContactBuilder::Geometry ( )

Returns the geometries.

This can be a NXOpen::Assemblies::ComponentAssembly , NXOpen::Point , NXOpen::Face , NXOpen::Edge , bodies and curves.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Expression* NXOpen::AnimationDesigner::ContactBuilder::Height ( )

Returns the height.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesBox .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

bool NXOpen::AnimationDesigner::ContactBuilder::HighlightOnContact ( )

Returns the highlight flag on contact.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Expression* NXOpen::AnimationDesigner::ContactBuilder::Length ( )

Returns the length.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesBox or NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesCapsule .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXString NXOpen::AnimationDesigner::ContactBuilder::Name ( )

Returns the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::CoordinateSystem* NXOpen::AnimationDesigner::ContactBuilder::Orientation ( )

Returns the orientation.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesBox or NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesCapsule .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Expression* NXOpen::AnimationDesigner::ContactBuilder::Radius ( )

Returns the radius.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesSphere .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::ContactBuilder::SetCategory ( int  category)

Sets the category.

It should be between 0 and 16.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
categorycategory
void NXOpen::AnimationDesigner::ContactBuilder::SetCenterPoint ( NXOpen::Point centerPoint)

Sets the center point.

Valid for all collsion shape types except when NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesConvex .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
centerPointcenterpoint
void NXOpen::AnimationDesigner::ContactBuilder::SetContactFactor ( double  factor)

Sets the contact factor.

It should be between 0 and 1.0.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
factorfactor
void NXOpen::AnimationDesigner::ContactBuilder::SetContactProperties ( NXOpen::AnimationDesigner::ContactBuilder::ShapePropertyTypes  contactProperties)

Sets the shape calculation option.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
contactPropertiescontactproperties
void NXOpen::AnimationDesigner::ContactBuilder::SetContactShape ( NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypes  contactShape)

Sets the contact shape type.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
contactShapecontactshape
void NXOpen::AnimationDesigner::ContactBuilder::SetHighlightOnContact ( bool  highlight)

Sets the highlight flag on contact.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
highlighthighlight
void NXOpen::AnimationDesigner::ContactBuilder::SetName ( const NXString name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::ContactBuilder::SetName ( const char *  name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::ContactBuilder::SetOrientation ( NXOpen::CoordinateSystem orientation)

Sets the orientation.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesBox or NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesCapsule .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
orientationorientation
void NXOpen::AnimationDesigner::ContactBuilder::SetStickContact ( bool  stickContact)

Sets the option for stick when contact.

If stickContact is true, then this contact face will become sticky in the simulation.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
stickContactstickcontact
bool NXOpen::AnimationDesigner::ContactBuilder::StickContact ( )

Returns the option for stick when contact.

If stickContact is true, then this contact face will become sticky in the simulation.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Expression* NXOpen::AnimationDesigner::ContactBuilder::Width ( )

Returns the width.

Valid if NXOpen::AnimationDesigner::ContactBuilder::ContactShape is set to NXOpen::AnimationDesigner::ContactBuilder::ContactShapeTypesBox .
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.